#include "blanquita.h"
#include <math.h>

int naveX, naveY;
int enemigoX[NUM_ENEMIGOS];
int enemigoY[NUM_ENEMIGOS];

unsigned int proceso_procesos=0;
unsigned int proceso_saltos=0;

double angulo=0.0;

Uint32 next_time;

void movimiento_enemigos()
{
   	double d,PI2=2*M_PI;
        int i;
   
        for(i=0;i<NUM_ENEMIGOS;i++)
        {
           d=angulo+(i*0.387);
           enemigoX[i]=155+(110.0*cos(d));
           enemigoY[i]=110+(100.0*sin(d));
        }
        angulo+=0.038;
        if (angulo>PI2)
           angulo-=PI2;
}

void proceso()
{
	SDL_Event event;
	next_time = SDL_GetTicks();
	Uint8 *key;

	int done=0;
	while(!done)
	{

		while(SDL_PollEvent(&event))
		{
			if(event.type==SDL_QUIT)
				done=1;
		}
    
		key=SDL_GetKeyState(NULL);
		if(key[SDLK_RETURN])
			done=1; 
		if(key[SDLK_UP])
			naveY-=2;
		if(key[SDLK_DOWN])
			naveY+=2;
		if(key[SDLK_LEFT])
			naveX-=2;
		if(key[SDLK_RIGHT])
			naveX+=2;

   		//para que la nave no se pueda salir de la pantalla
                if(naveY<=10) {naveY=10;}
                if(naveY>=423) {naveY=423;}
                if(naveX<=5) {naveX=5;}
                if(naveX>=540) {naveX=540;}

                movimiento_enemigos();
		
		video_dibuja();

	}
}
