#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifdef DREAMCAST
#include <kos.h>
#endif

#ifdef GP32
#include <x_gp32.h> 
#endif

#include <SDL/SDL.h>


#ifndef BLANQUITA_H

#define FICHERO_VIDEO_FONDO0 DATA_PREFIX "fondo0.bmp"
#define FICHERO_VIDEO_FONDO1 DATA_PREFIX "fondo1.bmp"
#define FICHERO_VIDEO_FONDO2 DATA_PREFIX "fondo2.bmp"
#define FICHERO_VIDEO_FONDO3 DATA_PREFIX "fondo3.bmp"
#define FICHERO_VIDEO_FONDO4 DATA_PREFIX "fondo4.bmp"
#define FICHERO_VIDEO_FONDO5 DATA_PREFIX "fondo5.bmp"
#define FICHERO_VIDEO_FONDO6 DATA_PREFIX "fondo6.bmp"
#define FICHERO_VIDEO_FONDO7 DATA_PREFIX "fondo7.bmp"
#define FICHERO_VIDEO_ESTRELLA0 DATA_PREFIX "star0.bmp"
#define FICHERO_VIDEO_ESTRELLA1 DATA_PREFIX "star1.bmp"
#define FICHERO_VIDEO_NAVE DATA_PREFIX "nave.bmp"
#define FICHERO_VIDEO_ENEMIGO DATA_PREFIX "enemigo.bmp"

#define FICHERO_MUSICA DATA_PREFIX "musica.mod"

#define NUM_ENEMIGOS 10

#define TICK_INTERVAL (1000 / 50)


int video_inicia();
void video_fin();
void video_dibuja();

void proceso();

extern int naveX, naveY;
extern int enemigoX[], enemigoY[];

#define BLANQUITA_H
#endif
